import { OnInit } from '@angular/core';
import { DropdownItemModel, DropdownModel } from './dropdown.model';
export declare class DropdownComponent implements OnInit {
    static readonly defaultProps: DropdownModel;
    iconNameInput: string;
    iconSizeInput: 'xs' | 'sm' | 'md' | 'lg' | 'xl';
    itemsInput: Array<DropdownItemModel>;
    iconName: string;
    iconSize: 'xs' | 'sm' | 'md' | 'lg' | 'xl';
    isFocused: boolean;
    items: Array<DropdownItemModel>;
    ngOnInit(): void;
    initValues(): void;
    selectItem(selectedItem: DropdownItemModel): void;
    onClickIcon(): void;
    onBlurIcon(event: any): void;
}
